class SMSLungo extends MessaggioDiTesto {
    private String testoLungo = "";

    public boolean aggiungi(char c) {
	this.testoLungo += c;
	this.numCaratteri++;
	this.testo = this.testoLungo.toCharArray();
	return true;
    }

    public SMS[] spezza() {
	int numMessaggi = this.numCaratteri/SMS.MAX+1;
	SMS[] messaggi = new SMS[numMessaggi];
	for (int i = 0; i < numMessaggi; i++) {
	    messaggi[i] = new SMS();
	    messaggi[i].impostaMittente(this.mittente);
	    messaggi[i].impostaDestinatario(this.destinatario);
	    messaggi[i].impostaData(this.data);
	    messaggi[i].impostaOra(this.ora);
	    int j = i*SMS.MAX;
	    while (j < this.numCaratteri && 
		   messaggi[i].aggiungi(this.testo[j]))
		j++;
	}
	return messaggi;
}
}
